#!/usr/bin/env node

const program = require('commander')
const download = require('download-git-repo')

program
    .version(require('../package').version)
    .option('-v, --version', require('../package').version)
    .command('create <projectName>')
    .description("创建项目")
    .action(projectName => {
      download(
        'direct:https://gitee.com/wyuuu/wyu-vue.git',
        projectName,
        { clone: true },
        function (err) {
          if (err) console.error(err)
          console.info('source: https://gitee.com/wyuuu/wyu-vue.git')
          console.info('author: wyu')
          console.info('project: wyu-vue-2.x')
          console.info('home: www.wyu.cool')
        }
      )
    })

program.parse(process.argv)
